Modules | Alphabetical List | Class List | Directories | File List | GIL Home Page # kth_channel_view_type Struct Template Reference [kth_channel_view] `#include <image_view_factory.hpp>` List of all members. ## Detailed Description ### template<int K, typename View> struct boost::gil::kth_channel_view_type< K, View > Given a source image view type View, returns the type of an image view over a given channel of View. If the channels in the source view are adjacent in memory (such as planar non-step view or single-channel view) then the return view is a single-channel non-step view. If the channels are non-adjacent (interleaved and/or step view) then the return view is a single-channel step view.
## Public Types
typedef VB::type | type
## Static Public Member Functions
static type | make (const View &src)
The documentation for this struct was generated from the following file: image_view_factory.hpp